Installation

From Apibot

Jump to: navigation, search

PHP

Apibot is written in a language known as PHP. To use it, you need to have a PHP interpreter installed.

For Linux, best use the version of PHP provided with your Linux distro. If it doesn't provide PHP (not very likely), or if you absolutely need the newest version available, download it from the PHP downloads page and follow the instructions in the archive.

For Windows, download and install PHP from the PHP Windows downloads page.

For MacOS, download and install AMMPS, MAMP / BitNAMI or XAMPP.

Apibot

  1. Download Apibot and unarchive it in a suitable directory (say, named "apibot"). That's all you need to install it!
  2. Choose an interface to work with - Bridge or Assembly line, read its documentation and look at its examples. (You may use different interfaces for different tasks, or even within the same task.)
  3. Write a script that does the work you need, and run it. (Typically this will be done from the scary command line, with a command like 'php my_script.php'.)
Personal tools